Returns details regarding the created virtual card.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| voucherNumber | String | 16 characters | ✓ | The Paymentology issued virtual card we want to get additional details for |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>CardDetail</methodName>
<params>
<param>
<value>
<string>1234567890</string>
</value>
</param>
<param>
<value>
<string>1234567890123456</string>
</value>
</param>
<param>
<value>
<string>T987654321</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>2023-11-08T12:34:56</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>f3a4cbe5d66e77ec1c9d8888a99e11f23a1c</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| CVV2 | String | The CVV2 code created for this virtual card |
| ExpiryDate | String | The expiration date for this virtual card, ie ‘2013-11-30 00:00:00’ |
| IsActivated | Boolean | Indicates if the card is activated or not |
| IsRetired | Boolean | Indicates if the card if retired or not |
| IsStopped | Boolean | Indicates if the card is stopped or not |
| BalanceAmount | Integer | The balance the card has left in cents |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction ID generated by Paymentology |
| resultCode | Integer | Status code indicating the method call result |
| resultText | String | Status text indicating the method call result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>CVV2</name>
<value>
<string>123</string>
</value>
</member>
<member>
<name>ExpiryDate</name>
<value>
<string>2013-11-30 00:00:00</string>
</value>
</member>
<member>
<name>IsActivated</name>
<value>
<boolean>1</boolean>
</value>
</member>
<member>
<name>IsRetired</name>
<value>
<boolean>0</boolean>
</value>
</member>
<member>
<name>IsStopped</name>
<value>
<boolean>0</boolean>
</value>
</member>
<member>
<name>BalanceAmount</name>
<value>
<int>104444</int>
</value>
</member>
<member>
<name>clientTransactionID</name>
<value>
<string>T987654321</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>ST123456789</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>200</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Card details retrieved successfully</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>